PACREPORT(1)

BEZEICHNUNG
pacreport - eine Zusammenfassung der installierten Pakete anzeigen

ÜBERSICHT
 pacreport [Optionen]
 pacreport (--help|--version)

BESCHREIBUNG
Einen Bericht zu installierten Paketen erstellen, der Folgendes umfasst:

nicht notwendige Pakete, die explizit installiert wurden
nicht notwendige Pakete, die als Abhängigkeiten installiert wurden
nicht notwendige Pakete in einer Abhängigkeitsschleife
installierte Pakete, die in keinem Repositorium vorhanden sind
fehlende Pakete aus den angegebenen Gruppen
fehlende Paketdateien
nicht zusammengeführte Sicherungsdateien
Dateien ohne Eigentümer
Größe der Zwischenspeicherverzeichnisse

Größen von Paketen schließen deren Abhängigkeiten ein, die nicht von anderen Paketen benötigt werden.

Pakete, denen ein Stern (»*«) vorangestellt ist, sind optionale Abhängigkeiten eines anderen Pakets.

OPTIONEN

--config=Pfad
    gibt einen alternativen Pfad zur Pacman-Konfigurationsdatei an.

--dbext=Erweiterung
    gibt eine alternative synchronisierte Datenbankerweiterung an.

--dbpath=Pfad
    gibt den Pfad zu einer alternativen Datenbank an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--cachedir=Pfad
    gibt einen Pfad zu einem alternativen Zwischenspeicherverzeichnis an.

--backups
    sucht nach .pac{save,orig,new}-Dateien. Standardmäßig wird /etc durchsucht und alle bekannten Konfigurationsdateien werden geprüft; übergeben Sie diese Option zweimal, um außerhalb von /etc zu suchen.

--group=Gruppe
    zeigt die Pakete in der angegebenen Gruppe an, die gegenwärtig nicht installiert sind. Dies kann mehrfach angegeben werden.

--missing-files
    prüft auf fehlende Paketdateien.

--unowned-files
    prüft auf Dateien, die zu keinem Paket gehören. Siehe /etc/pacreport.conf unter DATEIEN für weitere Informationen.

--optional-for
    zeigt, welche Pakete optional von den aufgeführten Paketen abhängen.

--optional-deps
    berücksichtigt optionale Abhängigkeiten, wenn unnötige Pakete und Abhängigkeitsschleifen aufgelistet werden.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

DATEIEN

/etc/pacreport.conf
    Konfigurationsdatei im INI-Stil, die bei der Ausführung mit --unowned-files zu ignorierende Pfade auflistet. Pfade, die immer ignoriert werden sollen, können mit »IgnoreUnowned« im Abschnitt »Options« angegeben werden. Pfade, die nur dann ignoriert werden sollen, wenn ein bestimmtes Paket installiert ist, können im Abschnitt »PkgIgnoreUnowned« angegeben werden, wobei der Paketname als Name und der zu ignorierende Pfad als Wert der Option verwendet werden. Alle Optionen können mehrfach angegeben werden. Pfade dürfen Globs im Shell-Stil enthalten. Die Installationswurzel sollte in Pfade nicht eingeschlossen werden.

     [Options]
     IgnoreUnowned = home/*
     IgnoreUnowned = proc/*
     IgnoreUnowned = mnt/*

     [PkgIgnoreUnowned]
     linux = boot/initramfs-linux.img
     linux = boot/initramfs-linux-fallback.img

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.